init.grid {sma} | R Documentation

## Initialization of Grid Parameters

### Description

Interactive function for specifying the dimensions of the spot matrix and the grid matrix. These parameters depend on the printing layout of the array, and are used for the within print-tip group normalization implemented in `stat.ma` and the spatial representation of spot statistics in `plot.spatial`.

### Usage

    init.grid()

### Arguments

None.

### Value

list containing the following components

`nspot.r` | the number of rows of spots per grid;
`nspot.c` | the number of columns of spots per grid;
`ngrid.r` | the number of rows of grids per image;
`ngrid.c` | the number of columns of grids per image.

### Author(s)

Yee Hwa Yang, yeehwa@stat.berkeley.edu
Sandrine Dudoit, sandrine@stat.berkeley.edu

### References

Spot manual.

### See Also

`plot.mva`, `plot.spatial`, `stat.ma`, `list`.

### Examples

    data(MouseArray)
    # mouse.setup <- init.grid()

    ## Here is what you should see:
    # Enter number of rows of grids per image (ngrid.r): 4
    # Enter number of columns of grids per image (ngrid.c): 4
    # Enter number of rows of spots per grid (nspot.r): 19
    # Enter number of columns of spots per grid (nspot.c): 21
    # Initialization complete

[Package sma version 0.5.14 Index]